TSORT(1)

NAME
tsort - topological sort

SYNOPSIS
tsort [ filename ]

DESCRIPTION
tsort produces on the standard output a totally ordered list of items consistent with a partial ordering of items mentioned in the input filename. If no filename is specified, the standard input is understood.

The input consists of pairs of items (nonempty strings) separated by SPACE characters. Pairs of different items indicate ordering. Pairs of identical items indicate presence, but not ordering.

SEE ALSO
lorder(1)

BUGS
Uses a quadratic algorithm; not worth fixing for the typical use of ordering a library archive file.